Bug 1896149 - TLS secrets are not able to edit on console.
Summary: TLS secrets are not able to edit on console.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Jakub Hadvig
QA Contact: hongyan li
URL:
Whiteboard:
Depends On: 1893351
Blocks: 1900443
TreeView+ depends on / blocked
 
Reported: 2020-11-09 20:07 UTC by OpenShift BugZilla Robot
Modified: 2020-12-21 13:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1900443 (view as bug list)
Environment:
Last Closed: 2020-12-21 13:23:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7161 0 None closed [release-4.6] Bug 1896149: Determine Secret type upon the save 2021-01-27 08:05:54 UTC
Red Hat Product Errata RHSA-2020:5614 0 None None None 2020-12-21 13:24:07 UTC

Description OpenShift BugZilla Robot 2020-11-09 20:07:31 UTC
+++ This bug was initially created as a clone of Bug #1893351 +++

Description of problem:

Not possible to edit TLS type secret from the console.

Version-Release number of selected component (if applicable):

4.5

How reproducible:

100%

Steps to Reproduce:
1.Create a "TLS"(kubernetes.io/tls) secret:
$ oc create secret tls <secret-n --cert=path/to/tls.cert --key=path/to/tls.key
2.Go to the console,login and navigate to the projecet where the secret is created and try to edit the secret contents.

Actual results:
Unable to modify the secret as while clicking on "Save" option throws":
Error "Invalid value: "Opaque": field is immutable" for field "type"

Expected results:
Secret should be able to edit and modify.

Additional info:

Comment 5 hongyan li 2020-12-17 04:36:50 UTC
test with payload 4.6.0-0.nightly-2020-12-16-201440
create secret under default project, can edit and save the secret

Comment 7 errata-xmlrpc 2020-12-21 13:23:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.9 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5614


Note You need to log in before you can comment on or make changes to this bug.